# sitelib for noarch packages
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		autokey
Version:	0.71.3
Release:	4%{?dist}
Summary:	Desktop automation utility 


Group:		Applications/Productivity
License:	GPLv3
URL:		http://autokey.googlecode.com
Source0:	http://autokey.googlecode.com/files/%{name}_%{version}.tar.gz 


BuildArch:	noarch 
BuildRequires:	python-xlib,notify-python,pygtk2,pygtk2-libglade,desktop-file-utils

Requires:	autokey-common
Requires:	autokey-gtk
Provides:	autokey = %{version}-%{release}


%description
AutoKey is a desktop automation utility for Linux and X11. It allows 
the automation of virtually any task by responding to typed abbreviations 
and hot keys. It offers a full-featured GUI that makes it highly 
accessible for novices, as well as a scripting interface offering 
the full flexibility and power of the Python language.


%package common
Summary:	Desktop automation utility - common data	
Group:		Applications/Productivity
Requires:	python >= 2.5
Provides:	autokey = %{version}-%{release}


%description common
This package contains the common data shared between the various front ends.


%package gtk
Summary:	AutoKey GTK+ version
Group:		Applications/Productivity
Requires:	pygtksourceview
Requires:	autokey-common = %{version}-%{release}
Provides:	autokey = %{version}-%{release}
%description gtk
This package contains the GTK+ front end for autokey


%package qt
Summary:	AutoKey QT version
Group:		Applications/Productivity
Requires:	qscintilla-python
Requires:	autokey-common = %{version}-%{release}
%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}
Provides:	autokey = %{version}-%{release}
%description qt
This package contains the QT front end for autokey


%prep
%setup -q


%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/autokey-qt.desktop

# remove shebang from python libraries
for lib in $(find %{buildroot}%{python_sitelib}/autokey/ -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


%post gtk
update-desktop-database > /dev/null 2>&1 || :


%post qt
update-desktop-database > /dev/null 2>&1 || :


%postun gtk
update-desktop-database > /dev/null 2>&1 || :


%postun qt
update-desktop-database > /dev/null 2>&1 || :


%files


%files common
%doc doc/scripting ACKNOWLEDGMENTS COPYING
# For noarch packages: sitelib
%{python_sitelib}/autokey/common.*
%{python_sitelib}/autokey/configmanager.*
%{python_sitelib}/autokey/daemon.*
%{python_sitelib}/autokey/evdev.*
%{python_sitelib}/autokey/__init__.*
%{python_sitelib}/autokey/interface.*
%{python_sitelib}/autokey/iomediator.*
%{python_sitelib}/autokey/model.*
%{python_sitelib}/autokey/nogui.*
%{python_sitelib}/autokey/scripting.*
%{python_sitelib}/autokey/service.*
%{python_sitelib}/autokey-*.egg-info
%{_datadir}/pixmaps/*


%files gtk
%{python_sitelib}/autokey/gtkui/*
%{python_sitelib}/autokey/gtkapp.*
%{_bindir}/autokey-gtk
%{_datadir}/applications/autokey-gtk.desktop
%{_mandir}/man1/autokey-gtk.1.gz


%files qt
%{python_sitelib}/autokey/qtui/*
%{python_sitelib}/autokey/qtapp.*
%{_bindir}/autokey-qt
%{_datadir}/applications/autokey-qt.desktop
%{_mandir}/man1/autokey-qt.1.gz


%changelog

* Thu Jul 21 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-4
- Update to upstream 0.71.3-2 release
- Source tarball now extracts to "autokey-version" instead of "build" directory
- The README file now explicitly mentions the licence
- Drop defattr from the spec since recent RPM makes it redundant

* Fri Jul 15 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-3
- Add build requirement for desktop-file-utils
- Require pygtksourceview for gtk frontend
- Require qscintilla-python for qt frontend

* Wed May 25 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-2
- Improve spec readability

* Tue Apr 19 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-1
- Update to upstream 0.71.3 release

* Sun Mar 13 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-6
- Add desktop-file-validate

* Sun Mar 06 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-5
- Remove Python-xlib dependency
- Add doc/scripting to docs

* Fri Mar 04 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-4
- Remove deprecated daemon, see : http://code.google.com/p/autokey/issues/detail?id=106

* Wed Feb 28 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-3
- Add script to remove shebang from python libraries
- Remove default start from initscript
- Add patch to use lockfile in initscript

* Wed Feb 02 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-2
- Add postun scriptlet to handle upgrades
- Set autokey service to start only in runlevel 5

* Sat Jan 30 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-1
- Update to upstream 0.71.2 release
- Add COPYING file to docs
- Update init script to match upstream

* Sat Dec 18 2010 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.1-1
- Update to upstream 0.71.1 release

* Fri Oct 01 2010 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.0-1
- Initial version of the package
